summary refs log tree commit diff
path: root/contrib/rvnit/45Snetup
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/rvnit/45Snetup')
-rwxr-xr-xcontrib/rvnit/45Snetup14
1 files changed, 14 insertions, 0 deletions
diff --git a/contrib/rvnit/45Snetup b/contrib/rvnit/45Snetup
new file mode 100755
index 0000000..02082f4
--- /dev/null
+++ b/contrib/rvnit/45Snetup
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+exec 2>&1
+
+count=10
+while ! ping -c1 8.8.8.8; do
+	sleep 1
+	count=$((count-1))
+	if [ $count -eq 0 ]; then
+		exit 1
+	fi
+done
+
+exit 0